Closed Bug 1177212 Opened 5 years ago Closed 5 years ago

www.rapidscansecure.com is TLS 1.1/1.2 intolerant

Categories

(Web Compatibility :: Desktop, defect)

Firefox 38
defect
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: jwiegand, Unassigned)

References

()

Details

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/43.0.2357.124 Safari/537.36

Steps to reproduce:

Connect to https://www.rapidscansecure.com.


Actual results:

An error occurred during a connection to www.rapidscansecure.com. Peer reports incompatible or unsupported protocol version. (Error code: ssl_error_protocol_version_alert)


Expected results:

It should return a simple a 404 page. Rapidscansecure is actually a site validation service that will not return anything without the correct site specific code being passed. The corporate parent for this site is https://www.aperiasolutions.com.
https://www.ssllabs.com/ssltest/analyze.html?d=rapidscansecure.com
Status: UNCONFIRMED → NEW
Ever confirmed: true
Summary: www.rapidscansecure.com fails as a result of no TLS 1.2 support and the security.tls.version.fallback-limit change. → www.rapidscansecure.com is TLS 1.1/1.2 intolerant
Fixed.
Status: NEW → RESOLVED
Closed: 5 years ago
Resolution: --- → FIXED
Product: Tech Evangelism → Web Compatibility
You need to log in before you can comment on or make changes to this bug.